settings = gideros.class(Sprite)

function settings:init()
	local bg = Bitmap.new(Texture.new("images/SettingsBG.jpg"))
	self:addChild(bg)
	
	--SOUNDS ON/OFF
	local ON1 = Bitmap.new(Texture.new("images/ONbtn.png"))
	local OFF1 = Bitmap.new(Texture.new("images/OFFbtn.png"))
	
	local sONbtn = Button.new(ON1,ON1)
	local sOFFbtn = Button.new(OFF1,OFF1)
	sOFFbtn:setPosition(200,65)
	self:addChild(sOFFbtn)
	sONbtn:setPosition(200, 65)
	self:addChild(sONbtn)
	
	sONbtn:addEventListener("click", 
		function()
			sounds.play("onoff")
			self:removeChild(sONbtn)
			sounds.off()
			self:addChild(sOFFbtn)
		end
	)
	
	sOFFbtn:addEventListener("click", 
		function()
			sounds.play("onoff")
			self:removeChild(sOFFbtn)
			sounds.on()
			self:addChild(sONbtn)
		end
	)
	
	if sets.sounds then
		self:addChild(sONbtn)
	else
		self:addChild(sOFFbtn)
	end
	
	
	--MUSIC ON/OFF
	local ON = Bitmap.new(Texture.new("images/ONbtn.png"))
	local OFF = Bitmap.new(Texture.new("images/OFFbtn.png"))
	
	local mONbtn = Button.new(ON,ON)
	local mOFFbtn = Button.new(OFF,OFF)
	mOFFbtn:setPosition(200,115)
	self:addChild(mOFFbtn)
	mONbtn:setPosition(200, 115)
	self:addChild(mONbtn)
	
	mONbtn:addEventListener("click", 
		function()
			sounds.play("onoff")
			self:removeChild(mONbtn)
			music.off()
			self:addChild(mOFFbtn)
		end
	)
	
	mOFFbtn:addEventListener("click", 
		function()
			sounds.play("onoff")
			self:removeChild(mOFFbtn)
			music.on()
			self:addChild(mONbtn)
		end
	)
	
	if sets.music then
		self:addChild(mONbtn)
	else
		self:addChild(mOFFbtn)
	end
	
	local bup = Bitmap.new(Texture.new("images/Backbtn.png"))
	local bdown = Bitmap.new(Texture.new("images/Backbtn1.png"))
	local backbtn = Button.new(bup, bdown)
	backbtn:setPosition(3, 170)
	self:addChild(backbtn)
	
	backbtn:addEventListener("click", 
	function()	
		sounds.play("bbtn")
		sceneManager:changeScene("mmenu", 0.3, SceneManager.fade) 
	end)

end