game = gideros.class(Sprite)
function game:init()
--BACKGROUND
	local bg = Bitmap.new(Texture.new("images/Game/GameBG.jpg"))
	self:addChild(bg)
	ans1 = ""
	ans2 = ""
	ans3 = ""
	ans4 = ""
	sco = dataSaver.loadValue("score")
	msize = dataSaver.loadValue("meter")
	lp = dataSaver.loadValue("life")
	lev = dataSaver.loadValue("level")
	gstage = dataSaver.loadValue("stages")
	gamemin = dataSaver.loadValue("gamemin")
	gamesec = dataSaver.loadValue("gamesec")
	ctr = 0
	con=false

--CHEMDATA
	cdata = chemdata.new({})
	self:addChild(cdata)
	
--AVATAR	
	if sets.avatar==true then
		avatar.male()
		MaleAv = Bitmap.new(Texture.new("images/MaleAv1.png"))
		MaleAv:setPosition(3,100)
		self:addChild(MaleAv)
	else
		avatar.female()
		FemaleAv = Bitmap.new(Texture.new("images/FemaleAv1.png"))
		FemaleAv:setPosition(3,100)
		self:addChild(FemaleAv)
	end

--METER
	Meter = Bitmap.new(Texture.new("images/Game/Meter.png"))
	self:addChild(Meter)
	Meter:setPosition(285, 45)
	
--INITIAL GIVEN
	if lev==1 then
		lev=1
		dataSaver.saveValue("level", lev)
		j= math.random(25-1)
		print(e.lvl1[j])
	elseif lev==2 then
		lev=2
		dataSaver.saveValue("level", lev)
		j= math.random(37-1)
	elseif lev==3 then
		lev=3
		dataSaver.saveValue("level", lev)
		j= math.random(13-1)
	end		
	
--LIVES
	local Lives = Bitmap.new(Texture.new("images/Game/Lives.png"))
	self:addChild(Lives)
	Lives:setPosition(260, 185)
	
	times = TextField.new(fbebas,"x")
	times:setPosition(290, 210)
	times:setTextColor(0xffffff)
	self:addChild(times)
	
	--BACK BUTTON
	local bup = Bitmap.new(Texture.new("images/Backbtn.png"))
	local bdown = Bitmap.new(Texture.new("images/Backbtn1.png"))
	local backbtn = Button.new(bup, bdown)
	backbtn:setPosition(3, 170)
	self:addChild(backbtn)
	
--NEXT STAGE BUTTON
	nsup = Bitmap.new(Texture.new("images/Game/NextStage.png"))
	nsdown = Bitmap.new(Texture.new("images/Game/NextStageClick.png"))
	nextstagebtn = Button.new(nsup, nsdown)
	nextstagebtn:setPosition(80, 182)
					
--GIVEN, CHECKING, SCORE
	check = checking.new({})
	self:addChild(check)
	
	--ADDING SCORE IN SCREEN
	score = TextField.new(fbebas,sco)
	score:setPosition(6, 92)
	score:setTextColor(0xffffff)
	self:addChild(score)
	
---PAUSE	
	local pup = Bitmap.new(Texture.new("images/Game/Pause.png"))
	local pdown = Bitmap.new(Texture.new("images/Game/Pause.png"))
	local pbtn = Button.new(pup, pdown)
	pbtn:setPosition(280, 3)
	self:addChild(pbtn)
	print(self:getChildIndex(pbtn))
	
	--if gamesec == 00 then
	--	gamesec = 62
	--end
	--if gamemin == 00 then
	--	gamemin = 1
	--end					
	
-------------------------------TIMER/COUNTDOWN
--ADDING TIME IN SCREEN
		minutes = TextField.new(fbebas, " {i}:")
		minutes:setTextColor(0xffffff)
		minutes:setPosition(10, 46)

		seconds = TextField.new(fbebas, "")
		seconds:setTextColor(0xffffff)
		seconds:setPosition(37, 46)

--CREATE TIMER
--IF VIA LOAD TIME VARIABLES ARE NIL OR EQUALS 00
		 cd = Countdown.new({
			--DECLARING TIME
			min = gamemin,
			sec = gamesec,
			label_sec = seconds,
			label_min = minutes,
			--label_end = ended,
			--use leading zeros for hours, minutes and seconds
			leading_zeros = true,
			onstep = function(seconds) 
			remsec=seconds
			end
		})
		self:addChild(cd)

----FLASH STAGE 1,2,3,4,5 ON FORM LOAD
	stages1 = stages.new({})
	self:addChild(stages1)
	if gstage == 1 or gstage == 2 or gstage == 3 or gstage == 4 or gstage == 5 then
		stages1:addChild(gamestage)
		function onTimer(timer)
			timer:stop()
			stages1:removeChild(gamestage)
		end
		timer = Timer.new(1000, 0)
		timer:addEventListener(Event.TIMER, onTimer, timer)
		timer:start()
	end	
		
-----------------------EVENTS
-------------------EVENT ON PAUSE BUTTON
	pbtn:addEventListener("click", 
		function()	
			sounds.play("bbtn")
			if cd.started == true then
				cd.started = false
				cd.timer:stop()
			end
				gamesec=cd.conf.sec
				gamemin=cd.conf.min
				dataSaver.saveValue("gamemin", gamemin)
				dataSaver.saveValue("gamesec", gamesec)
			sceneManager:changeScene("mmenu", 0.3, SceneManager.crossfade) 
		end
	)

-------------ANSWERING
	backbtn:addEventListener("click", 
	function()
		sounds.play("bbtn")
		if lev == 1 then
			ans=ans1..ans2
		elseif lev == 2 then
			ans=ans1..ans2..ans3
		elseif lev == 3 then
			ans=ans1..ans2..ans3..ans4
		end
		
		if ans=="" then
		--------------------
		else
			check:anscheck()
			ans1=""
			ans2=""
				if msize <= 0 then
				--STOP TIMER
					if cd.started == true then
						cd.started = false
						cd.timer:stop()
					end
					
				--COMPUTATING AND ADDING REMAINING SECONDS TO SCORE 
					sco = sco + remsec
					self:addChild(score)
					self:removeChild(score)
					score = TextField.new(fbebas,sco)
					score:setPosition(6, 92)
					score:setTextColor(0xffffff)
					self:addChild(score)
				
					self:removeChild(pbtn)
					--CONGRATULATIONS
					congrats = Bitmap.new(Texture.new("images/Game/Congratulations.png"))
					self:addChild(congrats)
					con=true
					
					--GETTING THE AVATAR
						if sets.avatar==true then
							avatar.male()
							MaleAv1 = Bitmap.new(Texture.new("images/MaleAv1.png"))
							MaleAv1:setPosition(25,90)
							self:addChild(MaleAv1)
						else
							avatar.female()
							FemaleAv1 = Bitmap.new(Texture.new("images/FemaleAv1.png"))
							FemaleAv1:setPosition(25,90)
							self:addChild(FemaleAv1)
						end
						
					--TIME LEFT
					minutes1 = TextField.new(fbebas, "0"..(cd.conf.min)..":")
					minutes1:setTextColor(0xffffff)
					minutes1:setPosition(220, 100)
					self:addChild(minutes1)
						
					seconds1 = TextField.new(fbebas, " "..(cd.conf.sec))
					seconds1:setTextColor(0xffffff)
					seconds1:setPosition(240, 100)
					self:addChild(seconds1)
						
					--TIME BONUS
					tbonus = TextField.new(fbebas, remsec)
					tbonus:setTextColor(0xffffff)
					tbonus:setPosition(222, 133)
					self:addChild(tbonus)
					
					--TOTAL SCORE
					totsco = TextField.new(fbebas, sco)
					totsco:setTextColor(0x000000)
					totsco:setPosition(222, 168)
					self:addChild(totsco)
					
					self:addChild(nextstagebtn)
				end
				
				if lp == 0 then
				--STOP TIMER
					if cd.started == true then
						cd.started = false
						cd.timer:stop()
					end
				end
		end
	end)
	
--EVENT ON NEXT STAGE BUTTON	
	nextstagebtn:addEventListener("click", 
		function()
		gstage = gstage + 1
		dataSaver.saveValue("stages", gstage)
		sounds.play("mbtn")
						
		if sets.avatar==true then
			self:removeChild(MaleAv1)
		else
			self:removeChild(FemaleAv1)
		end				
		self:removeChild(congrats)
		self:removeChild(minutes1)
		self:removeChild(seconds1)
		self:removeChild(tbonus)
		self:removeChild(totsco)
		self:removeChild(nextstagebtn)
		con = false						
		msize = 1
		dataSaver.saveValue("meter", msize)
		MeterColor:setScaleY(msize)
		
		self:removeChild(cd)
		
--ADDING BACK THE PAUSE BUTTON AFTER TIME RESUMES
		self:addChild(pbtn)
		gamesec=62
		gamemin=1
		dataSaver.saveValue("gamemin", gamemin)
		dataSaver.saveValue("gamesec", gamesec)
		
--ADDING TIME IN SCREEN
		minutes = TextField.new(fbebas, " {i}:")
		minutes:setTextColor(0xffffff)
		minutes:setPosition(10, 46)

		seconds = TextField.new(fbebas, "")
		seconds:setTextColor(0xffffff)
		seconds:setPosition(37, 46)

--CREATE TIMER
--IF VIA LOAD TIME VARIABLES ARE NIL OR EQUALS 00
		 cd = Countdown.new({
			--DECLARING TIME
			min = gamemin,
			sec = gamesec,
			label_sec = seconds,
			label_min = minutes,
			--label_end = ended,
			--use leading zeros for hours, minutes and seconds
			leading_zeros = true,
			onstep = function(seconds) 
			remsec=seconds
			end
		})
		self:addChild(cd)
		
		if cd.started == false then
			cd.started = true
			cd.timer:start()
		end
		
--FLASH STAGE 1,2,3,4,5
		stages1 = stages.new({})
		self:addChild(stages1)
		stages1:addChild(gamestage)		
			function onTimer(timer)
				timer:stop()
				stages1:removeChild(gamestage)
			end
			timer = Timer.new(1000, 0)
			timer:addEventListener(Event.TIMER, onTimer, timer)
			timer:start()
	end)
end