selectav = gideros.class(Sprite)
function selectav:init()
    --BACKGROUND
	local bg = Bitmap.new(Texture.new("images/Select Avatar/SelAvBG.jpg"))
	self:addChild(bg)
	
	--ADDING OK BUTTON
	local OK1btn = Bitmap.new(Texture.new("images/OKbtn.png"))
	local OK2btn = Bitmap.new(Texture.new("images/OKbtn1.png"))
	local OKbtn = Button.new(OK1btn, OK2btn)
	OKbtn:setPosition(250,170)
	
	--MALE AVATAR BUTTON
	MaleAv = Bitmap.new(Texture.new("images/Select Avatar/MaleAv.png"))
	MaleAv2 = Bitmap.new(Texture.new("images/Select Avatar/MaleAv2.png"))
	Male = Button.new(MaleAv2,MaleAv)
	Male:setPosition(60,70)
	self:addChild(Male)
	
	--FEMALE AVATAR BUTTON
	FemaleAv = Bitmap.new(Texture.new("images/Select Avatar/FemaleAv.png"))
	FemaleAv2 = Bitmap.new(Texture.new("images/Select Avatar/FemaleAv2.png"))
	Female = Button.new(FemaleAv2,FemaleAv)
	Female:setPosition(170,70)
	self:addChild(Female)
	
	Male:addEventListener("click", 
	function()	
		sounds.play("lbtn")
		avatar.male()
		Male:removeChild(MaleAv2)
		Male:addChild(MaleAv)
		Female:addChild(FemaleAv2)
		self:addChild(OKbtn)
	end)
	
	Female:addEventListener("click", 
	function()	
		sounds.play("lbtn")
		avatar.female()
		Female:removeChild(FemaleAv2)
		Female:addChild(FemaleAv)
		Male:addChild(MaleAv2)
		self:addChild(OKbtn)
	end)
	
	--OK BUTTON EVENT
	OKbtn:addEventListener("click", 
	function()
		sounds.play("okbtn")
		sceneManager:changeScene("levels", 0.3, SceneManager.moveFromRight) 
	end)
	
	--BACK BUTTON
	local bup = Bitmap.new(Texture.new("images/Backbtn.png"))
	local bdown = Bitmap.new(Texture.new("images/Backbtn1.png"))
	local backbtn = Button.new(bup, bdown)
	backbtn:setPosition(3, 170)
	self:addChild(backbtn)
	
	backbtn:addEventListener("click", 
	function()
		sounds.play("bbtn")
		sceneManager:changeScene("mmenu", 0.3, SceneManager.crossfade) 
	end)

end